Bug 151494 - CAN-2004-0906 Mozilla XPI installer insecure file creation
CAN-2004-0906 Mozilla XPI installer insecure file creation
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: mozilla (Show other bugs)
3.0
All Linux
medium Severity low
: ---
: ---
Assigned To: Christopher Aillon
Ben Levenson
impact=low,public=20040226,source=moz...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-18 12:04 EST by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-23 14:01:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2005-03-18 12:04:57 EST
The XPInstall installer in Mozilla Firefox before the Preview Release, Mozilla
before 1.7.3, and Thunderbird before 0.8 sets insecure permissions for certain
installed files within xpi packages, which could allow local users to overwrite
arbitrary files or execute arbitrary code.
Comment 1 Josh Bressers 2005-03-18 12:05:31 EST
This issue also affects RHEL2.1
Comment 2 Josh Bressers 2005-03-23 14:01:45 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-323.html

Note You need to log in before you can comment on or make changes to this bug.